/***************************************************************************
                          statusdialog.cpp  -  description
                             -------------------
    begin                : Sat May 6 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          statusdialog.cpp  -  description
                             -------------------
    begin                : Sat Mar 25 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@skydsl.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "statusdialog.h"

StatusDialog::StatusDialog(QWidget *parent, const char *name, bool modal, WFlags f )
			: QDialog(parent,name,modal)
{
	okBut = new QPushButton(i18n("OK"), this);
	okBut->setGeometry(125,130,50,20);
	connect(okBut, SIGNAL(clicked()), this, SLOT(closeIt()));
	
	QLabel *stateLab = new QLabel(i18n("State :"), this);
	stateLab->setGeometry(10,15,80,20);
	stateLab->setFont(QFont("helvetica",14, QFont::Bold));
	
	QLabel *nextLab = new QLabel(i18n("Next Job :"), this);
	nextLab->setGeometry(10,40,80,20);
	nextLab->setFont(QFont("helvetica",14, QFont::Bold));

	QLabel *leftLab = new QLabel(i18n("Jobs left :"), this);
	leftLab->setGeometry(10,90,80,20);
	leftLab->setFont(QFont("helvetica",14, QFont::Bold));

	stateIsLab = new QLabel(this);
	stateIsLab->setGeometry(110,15,150,20);
	
	dateIsLab = new QLabel(this);
	dateIsLab->setGeometry(110,40,150,20);
	
	timeIsLab = new QLabel(this);
	timeIsLab->setGeometry(110,60,150,20);
	
	nextIsLab = new QLabel(this);
	nextIsLab->setGeometry(110,90,150,20);
}

StatusDialog::~StatusDialog()
{
}

void StatusDialog::closeIt()
{
	delete(this);
}

void StatusDialog::getInfo( QString state, QString date, QString time, QString nums)
{
	stateIsLab->setText(state);
	dateIsLab->setText(date);
	timeIsLab->setText(time);
	nextIsLab->setText(nums);
}